diff --git a/android/guava/src/com/google/common/collect/CompactHashMap.java b/android/guava/src/com/google/common/collect/CompactHashMap.java
index e70596d..ec07054 100644
--- a/android/guava/src/com/google/common/collect/CompactHashMap.java
+++ b/android/guava/src/com/google/common/collect/CompactHashMap.java
@@ -19,17 +19,11 @@ package com.google.common.collect;
 import static com.google.common.collect.CollectPreconditions.checkRemove;
 import static com.google.common.collect.CompactHashing.UNSET;
 import static com.google.common.collect.Hashing.smearedHash;
-import static com.google.common.collect.NullnessCasts.uncheckedCastNullableTToT;
 import static com.google.common.collect.NullnessCasts.unsafeNull;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.base.Objects;
 import com.google.common.base.Preconditions;
 import com.google.common.primitives.Ints;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.j2objc.annotations.WeakOuter;
 import java.io.IOException;
 import java.io.InvalidObjectException;
 import java.io.ObjectInputStream;
@@ -47,7 +41,6 @@ import java.util.Map;
 import java.util.NoSuchElementException;
 import java.util.Set;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * CompactHashMap is an implementation of a Map. All optional operations (put and remove) are
@@ -75,9 +68,9 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Louis Wasserman
  * @author Jon Noack
  */
-@GwtIncompatible // not worth using in GWT for now
+// not worth using in GWT for now
 @ElementTypesAreNonnullByDefault
-class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
+class CompactHashMap<K extends Object, V extends Object>
     extends AbstractMap<K, V> implements Serializable {
   /*
    * TODO: Make this a drop-in replacement for j.u. versions, actually drop them in, and test the
@@ -88,7 +81,7 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
    */
 
   /** Creates an empty {@code CompactHashMap} instance. */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       CompactHashMap<K, V> create() {
     return new CompactHashMap<>();
   }
@@ -102,7 +95,7 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
    *     elements without resizing
    * @throws IllegalArgumentException if {@code expectedSize} is negative
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       CompactHashMap<K, V> createWithExpectedSize(int expectedSize) {
     return new CompactHashMap<>(expectedSize);
   }
@@ -113,8 +106,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
    * Maximum allowed false positive probability of detecting a hash flooding attack given random
    * input.
    */
-  @VisibleForTesting(
-      )
   static final double HASH_FLOODING_FPP = 0.001;
 
   /**
@@ -199,19 +190,19 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
    *
    * <p>The pointers in [size(), entries.length) are all "null" (UNSET).
    */
-  @VisibleForTesting @CheckForNull transient int[] entries;
+  @CheckForNull transient int[] entries;
 
   /**
    * The keys of the entries in the map, in the range of [0, size()). The keys in [size(),
    * keys.length) are all {@code null}.
    */
-  @VisibleForTesting @CheckForNull transient @Nullable Object[] keys;
+  @CheckForNull transient Object[] keys;
 
   /**
    * The values of the entries in the map, in the range of [0, size()). The values in [size(),
    * values.length) are all {@code null}.
    */
-  @VisibleForTesting @CheckForNull transient @Nullable Object[] values;
+  @CheckForNull transient Object[] values;
 
   /**
    * Keeps track of metadata like the number of hash table bits and modifications of this data
@@ -253,13 +244,11 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
   }
 
   /** Returns whether arrays need to be allocated. */
-  @VisibleForTesting
   boolean needsAllocArrays() {
     return table == null;
   }
 
   /** Handle lazy allocation of arrays. */
-  @CanIgnoreReturnValue
   int allocArrays() {
     Preconditions.checkState(needsAllocArrays(), "Arrays already allocated");
 
@@ -276,7 +265,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
   }
 
   @SuppressWarnings("unchecked")
-  @VisibleForTesting
   @CheckForNull
   Map<K, V> delegateOrNull() {
     if (table instanceof Map) {
@@ -289,8 +277,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return new LinkedHashMap<>(tableSize, 1.0f);
   }
 
-  @VisibleForTesting
-  @CanIgnoreReturnValue
   Map<K, V> convertToHashFloodingResistantImplementation() {
     Map<K, V> newDelegate = createHashFloodingResistantDelegate(hashTableMask() + 1);
     for (int i = firstEntryIndex(); i >= 0; i = getSuccessor(i)) {
@@ -328,7 +314,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     // no-op by default
   }
 
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   public V put(@ParametricNullness K key, @ParametricNullness V value) {
@@ -340,8 +325,8 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
       return delegate.put(key, value);
     }
     int[] entries = requireEntries();
-    @Nullable Object[] keys = requireKeys();
-    @Nullable Object[] values = requireValues();
+    Object[] keys = requireKeys();
+    Object[] values = requireValues();
 
     int newEntryIndex = this.size; // current size, and pointer to the entry to be appended
     int newSize = newEntryIndex + 1;
@@ -428,7 +413,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     this.values = Arrays.copyOf(requireValues(), newCapacity);
   }
 
-  @CanIgnoreReturnValue
   private int resizeTable(int oldMask, int newCapacity, int targetHash, int targetEntryIndex) {
     Object newTable = CompactHashing.createTable(newCapacity);
     int newMask = newCapacity - 1;
@@ -519,7 +503,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return value(index);
   }
 
-  @CanIgnoreReturnValue
   @SuppressWarnings("unchecked") // known to be a V
   @Override
   @CheckForNull
@@ -532,7 +515,7 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return (oldValue == NOT_FOUND) ? null : (V) oldValue;
   }
 
-  private @Nullable Object removeHelper(@CheckForNull Object key) {
+  private Object removeHelper(@CheckForNull Object key) {
     if (needsAllocArrays()) {
       return NOT_FOUND;
     }
@@ -565,8 +548,8 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
   void moveLastEntry(int dstIndex, int mask) {
     Object table = requireTable();
     int[] entries = requireEntries();
-    @Nullable Object[] keys = requireKeys();
-    @Nullable Object[] values = requireValues();
+    Object[] keys = requireKeys();
+    Object[] values = requireValues();
     int srcIndex = size() - 1;
     if (dstIndex < srcIndex) {
       // move last entry to deleted spot
@@ -623,7 +606,7 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return indexBeforeRemove - 1;
   }
 
-  private abstract class Itr<T extends @Nullable Object> implements Iterator<T> {
+  private abstract class Itr<T extends Object> implements Iterator<T> {
     int expectedMetadata = metadata;
     int currentIndex = firstEntryIndex();
     int indexToRemove = -1;
@@ -681,7 +664,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return new KeySetView();
   }
 
-  @WeakOuter
   class KeySetView extends AbstractSet<K> {
     @Override
     public int size() {
@@ -737,7 +719,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return new EntrySetView();
   }
 
-  @WeakOuter
   class EntrySetView extends AbstractSet<Entry<K, V>> {
 
     @Override
@@ -917,7 +898,6 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return new ValuesView();
   }
 
-  @WeakOuter
   class ValuesView extends AbstractCollection<V> {
     @Override
     public int size() {
@@ -1043,11 +1023,11 @@ class CompactHashMap<K extends @Nullable Object, V extends @Nullable Object>
     return requireNonNull(entries);
   }
 
-  private @Nullable Object[] requireKeys() {
+  private Object[] requireKeys() {
     return requireNonNull(keys);
   }
 
-  private @Nullable Object[] requireValues() {
+  private Object[] requireValues() {
     return requireNonNull(values);
   }
 
diff --git a/android/guava/src/com/google/common/collect/CompactHashSet.java b/android/guava/src/com/google/common/collect/CompactHashSet.java
index 08c7294..1f36a6a 100644
--- a/android/guava/src/com/google/common/collect/CompactHashSet.java
+++ b/android/guava/src/com/google/common/collect/CompactHashSet.java
@@ -19,14 +19,10 @@ package com.google.common.collect;
 import static com.google.common.collect.CollectPreconditions.checkRemove;
 import static com.google.common.collect.CompactHashing.UNSET;
 import static com.google.common.collect.Hashing.smearedHash;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.base.Objects;
 import com.google.common.base.Preconditions;
 import com.google.common.primitives.Ints;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
 import java.io.InvalidObjectException;
 import java.io.ObjectInputStream;
@@ -42,7 +38,6 @@ import java.util.LinkedHashSet;
 import java.util.NoSuchElementException;
 import java.util.Set;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * CompactHashSet is an implementation of a Set. All optional operations (adding and removing) are
@@ -71,13 +66,13 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Dimitris Andreou
  * @author Jon Noack
  */
-@GwtIncompatible // not worth using in GWT for now
+// not worth using in GWT for now
 @ElementTypesAreNonnullByDefault
-class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implements Serializable {
+class CompactHashSet<E extends Object> extends AbstractSet<E> implements Serializable {
   // TODO(user): cache all field accesses in local vars
 
   /** Creates an empty {@code CompactHashSet} instance. */
-  public static <E extends @Nullable Object> CompactHashSet<E> create() {
+  public static <E extends Object> CompactHashSet<E> create() {
     return new CompactHashSet<>();
   }
 
@@ -88,7 +83,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
    * @param collection the elements that the set should contain
    * @return a new {@code CompactHashSet} containing those elements (minus duplicates)
    */
-  public static <E extends @Nullable Object> CompactHashSet<E> create(
+  public static <E extends Object> CompactHashSet<E> create(
       Collection<? extends E> collection) {
     CompactHashSet<E> set = createWithExpectedSize(collection.size());
     set.addAll(collection);
@@ -103,7 +98,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
    * @return a new {@code CompactHashSet} containing those elements (minus duplicates)
    */
   @SafeVarargs
-  public static <E extends @Nullable Object> CompactHashSet<E> create(E... elements) {
+  public static <E extends Object> CompactHashSet<E> create(E... elements) {
     CompactHashSet<E> set = createWithExpectedSize(elements.length);
     Collections.addAll(set, elements);
     return set;
@@ -118,7 +113,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
    *     elements without resizing
    * @throws IllegalArgumentException if {@code expectedSize} is negative
    */
-  public static <E extends @Nullable Object> CompactHashSet<E> createWithExpectedSize(
+  public static <E extends Object> CompactHashSet<E> createWithExpectedSize(
       int expectedSize) {
     return new CompactHashSet<>(expectedSize);
   }
@@ -127,8 +122,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
    * Maximum allowed false positive probability of detecting a hash flooding attack given random
    * input.
    */
-  @VisibleForTesting(
-      )
   static final double HASH_FLOODING_FPP = 0.001;
 
   /**
@@ -183,7 +176,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
    * The elements contained in the set, in the range of [0, size()). The elements in [size(),
    * elements.length) are all {@code null}.
    */
-  @VisibleForTesting @CheckForNull transient @Nullable Object[] elements;
+  @CheckForNull transient Object[] elements;
 
   /**
    * Keeps track of metadata like the number of hash table bits and modifications of this data
@@ -219,13 +212,11 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
   }
 
   /** Returns whether arrays need to be allocated. */
-  @VisibleForTesting
   boolean needsAllocArrays() {
     return table == null;
   }
 
   /** Handle lazy allocation of arrays. */
-  @CanIgnoreReturnValue
   int allocArrays() {
     Preconditions.checkState(needsAllocArrays(), "Arrays already allocated");
 
@@ -241,7 +232,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
   }
 
   @SuppressWarnings("unchecked")
-  @VisibleForTesting
   @CheckForNull
   Set<E> delegateOrNull() {
     if (table instanceof Set) {
@@ -254,8 +244,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     return new LinkedHashSet<>(tableSize, 1.0f);
   }
 
-  @VisibleForTesting
-  @CanIgnoreReturnValue
   Set<E> convertToHashFloodingResistantImplementation() {
     Set<E> newDelegate = createHashFloodingResistantDelegate(hashTableMask() + 1);
     for (int i = firstEntryIndex(); i >= 0; i = getSuccessor(i)) {
@@ -268,7 +256,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     return newDelegate;
   }
 
-  @VisibleForTesting
   boolean isUsingHashFloodingResistance() {
     return delegateOrNull() != null;
   }
@@ -289,7 +276,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     metadata += CompactHashing.MODIFICATION_COUNT_INCREMENT;
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean add(@ParametricNullness E object) {
     if (needsAllocArrays()) {
@@ -300,7 +286,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
       return delegate.add(object);
     }
     int[] entries = requireEntries();
-    @Nullable Object[] elements = requireElements();
+    Object[] elements = requireElements();
 
     int newEntryIndex = this.size; // current size, and pointer to the entry to be appended
     int newSize = newEntryIndex + 1;
@@ -379,7 +365,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     this.elements = Arrays.copyOf(requireElements(), newCapacity);
   }
 
-  @CanIgnoreReturnValue
   private int resizeTable(int oldMask, int newCapacity, int targetHash, int targetEntryIndex) {
     Object newTable = CompactHashing.createTable(newCapacity);
     int newMask = newCapacity - 1;
@@ -444,7 +429,6 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     return false;
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean remove(@CheckForNull Object object) {
     if (needsAllocArrays()) {
@@ -481,7 +465,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
   void moveLastEntry(int dstIndex, int mask) {
     Object table = requireTable();
     int[] entries = requireEntries();
-    @Nullable Object[] elements = requireElements();
+    Object[] elements = requireElements();
     int srcIndex = size() - 1;
     if (dstIndex < srcIndex) {
       // move last entry to deleted spot
@@ -598,7 +582,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
   }
 
   @Override
-  public @Nullable Object[] toArray() {
+  public Object[] toArray() {
     if (needsAllocArrays()) {
       return new Object[0];
     }
@@ -606,10 +590,9 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     return (delegate != null) ? delegate.toArray() : Arrays.copyOf(requireElements(), size);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-  public <T extends @Nullable Object> T[] toArray(T[] a) {
+  public <T extends Object> T[] toArray(T[] a) {
     if (needsAllocArrays()) {
       if (a.length > 0) {
         a[0] = null;
@@ -704,7 +687,7 @@ class CompactHashSet<E extends @Nullable Object> extends AbstractSet<E> implemen
     return requireNonNull(entries);
   }
 
-  private @Nullable Object[] requireElements() {
+  private Object[] requireElements() {
     return requireNonNull(elements);
   }
 
diff --git a/android/guava/src/com/google/common/collect/CompactHashing.java b/android/guava/src/com/google/common/collect/CompactHashing.java
index a8fe902..c1b4003 100644
--- a/android/guava/src/com/google/common/collect/CompactHashing.java
+++ b/android/guava/src/com/google/common/collect/CompactHashing.java
@@ -16,19 +16,16 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.primitives.Ints;
 import java.util.Arrays;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Helper classes and static methods for implementing compact hash-based collections.
  *
  * @author Jon Noack
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class CompactHashing {
   private CompactHashing() {}
diff --git a/android/guava/src/com/google/common/collect/CompactLinkedHashMap.java b/android/guava/src/com/google/common/collect/CompactLinkedHashMap.java
index fb648a7..7f5c5d4 100644
--- a/android/guava/src/com/google/common/collect/CompactLinkedHashMap.java
+++ b/android/guava/src/com/google/common/collect/CompactLinkedHashMap.java
@@ -16,16 +16,11 @@
 
 package com.google.common.collect;
 
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Arrays;
 import java.util.LinkedHashMap;
 import java.util.Map;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * CompactLinkedHashMap is an implementation of a Map with insertion or LRU iteration order,
@@ -47,14 +42,14 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible // not worth using in GWT for now
+// not worth using in GWT for now
 @ElementTypesAreNonnullByDefault
-class CompactLinkedHashMap<K extends @Nullable Object, V extends @Nullable Object>
+class CompactLinkedHashMap<K extends Object, V extends Object>
     extends CompactHashMap<K, V> {
   // TODO(lowasser): implement removeEldestEntry so this can be used as a drop-in replacement
 
   /** Creates an empty {@code CompactLinkedHashMap} instance. */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       CompactLinkedHashMap<K, V> create() {
     return new CompactLinkedHashMap<>();
   }
@@ -68,7 +63,7 @@ class CompactLinkedHashMap<K extends @Nullable Object, V extends @Nullable Objec
    *     expectedSize} elements without resizing
    * @throws IllegalArgumentException if {@code expectedSize} is negative
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       CompactLinkedHashMap<K, V> createWithExpectedSize(int expectedSize) {
     return new CompactLinkedHashMap<>(expectedSize);
   }
@@ -84,7 +79,7 @@ class CompactLinkedHashMap<K extends @Nullable Object, V extends @Nullable Objec
    * <p>A node with "prev" pointer equal to {@code ENDPOINT} is the first node in the linked list,
    * and a node with "next" pointer equal to {@code ENDPOINT} is the last node.
    */
-  @CheckForNull @VisibleForTesting transient long[] links;
+  @CheckForNull transient long[] links;
 
   /** Pointer to the first node in the linked list, or {@code ENDPOINT} if there are no entries. */
   private transient int firstEntry;
@@ -127,7 +122,6 @@ class CompactLinkedHashMap<K extends @Nullable Object, V extends @Nullable Objec
   }
 
   @Override
-  @CanIgnoreReturnValue
   Map<K, V> convertToHashFloodingResistantImplementation() {
     Map<K, V> result = super.convertToHashFloodingResistantImplementation();
     links = null;
diff --git a/android/guava/src/com/google/common/collect/CompactLinkedHashSet.java b/android/guava/src/com/google/common/collect/CompactLinkedHashSet.java
index 21d4805..533d6bb 100644
--- a/android/guava/src/com/google/common/collect/CompactLinkedHashSet.java
+++ b/android/guava/src/com/google/common/collect/CompactLinkedHashSet.java
@@ -16,16 +16,12 @@
 
 package com.google.common.collect;
 
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Collections;
 import java.util.Set;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * CompactLinkedHashSet is an implementation of a Set, which a predictable iteration order that
@@ -48,12 +44,12 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible // not worth using in GWT for now
+// not worth using in GWT for now
 @ElementTypesAreNonnullByDefault
-class CompactLinkedHashSet<E extends @Nullable Object> extends CompactHashSet<E> {
+class CompactLinkedHashSet<E extends Object> extends CompactHashSet<E> {
 
   /** Creates an empty {@code CompactLinkedHashSet} instance. */
-  public static <E extends @Nullable Object> CompactLinkedHashSet<E> create() {
+  public static <E extends Object> CompactLinkedHashSet<E> create() {
     return new CompactLinkedHashSet<>();
   }
 
@@ -64,7 +60,7 @@ class CompactLinkedHashSet<E extends @Nullable Object> extends CompactHashSet<E>
    * @param collection the elements that the set should contain
    * @return a new {@code CompactLinkedHashSet} containing those elements (minus duplicates)
    */
-  public static <E extends @Nullable Object> CompactLinkedHashSet<E> create(
+  public static <E extends Object> CompactLinkedHashSet<E> create(
       Collection<? extends E> collection) {
     CompactLinkedHashSet<E> set = createWithExpectedSize(collection.size());
     set.addAll(collection);
@@ -79,7 +75,7 @@ class CompactLinkedHashSet<E extends @Nullable Object> extends CompactHashSet<E>
    * @return a new {@code CompactLinkedHashSet} containing those elements (minus duplicates)
    */
   @SafeVarargs
-  public static <E extends @Nullable Object> CompactLinkedHashSet<E> create(E... elements) {
+  public static <E extends Object> CompactLinkedHashSet<E> create(E... elements) {
     CompactLinkedHashSet<E> set = createWithExpectedSize(elements.length);
     Collections.addAll(set, elements);
     return set;
@@ -94,7 +90,7 @@ class CompactLinkedHashSet<E extends @Nullable Object> extends CompactHashSet<E>
    *     expectedSize} elements without resizing
    * @throws IllegalArgumentException if {@code expectedSize} is negative
    */
-  public static <E extends @Nullable Object> CompactLinkedHashSet<E> createWithExpectedSize(
+  public static <E extends Object> CompactLinkedHashSet<E> createWithExpectedSize(
       int expectedSize) {
     return new CompactLinkedHashSet<>(expectedSize);
   }
@@ -147,7 +143,6 @@ class CompactLinkedHashSet<E extends @Nullable Object> extends CompactHashSet<E>
   }
 
   @Override
-  @CanIgnoreReturnValue
   Set<E> convertToHashFloodingResistantImplementation() {
     Set<E> result = super.convertToHashFloodingResistantImplementation();
     this.predecessor = null;
@@ -231,13 +226,13 @@ class CompactLinkedHashSet<E extends @Nullable Object> extends CompactHashSet<E>
   }
 
   @Override
-  public @Nullable Object[] toArray() {
+  public Object[] toArray() {
     return ObjectArrays.toArrayImpl(this);
   }
 
   @Override
   @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-  public <T extends @Nullable Object> T[] toArray(T[] a) {
+  public <T extends Object> T[] toArray(T[] a) {
     return ObjectArrays.toArrayImpl(this, a);
   }
 
diff --git a/android/guava/src/com/google/common/collect/ComparatorOrdering.java b/android/guava/src/com/google/common/collect/ComparatorOrdering.java
index 8b34070..83dabe8 100644
--- a/android/guava/src/com/google/common/collect/ComparatorOrdering.java
+++ b/android/guava/src/com/google/common/collect/ComparatorOrdering.java
@@ -18,16 +18,13 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import java.util.Comparator;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** An ordering for a pre-existing comparator. */
-@GwtCompatible(serializable = true)
 @ElementTypesAreNonnullByDefault
-final class ComparatorOrdering<T extends @Nullable Object> extends Ordering<T>
+final class ComparatorOrdering<T extends Object> extends Ordering<T>
     implements Serializable {
   final Comparator<T> comparator;
 
diff --git a/android/guava/src/com/google/common/collect/Comparators.java b/android/guava/src/com/google/common/collect/Comparators.java
index 6a5670c..b123f08 100644
--- a/android/guava/src/com/google/common/collect/Comparators.java
+++ b/android/guava/src/com/google/common/collect/Comparators.java
@@ -18,11 +18,8 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import java.util.Comparator;
 import java.util.Iterator;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Provides static methods for working with {@link Comparator} instances. For many other helpful
@@ -39,8 +36,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @since 21.0
  * @author Louis Wasserman
  */
-@Beta
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Comparators {
   private Comparators() {}
@@ -59,7 +54,7 @@ public final class Comparators {
   // Note: 90% of the time we don't add type parameters or wildcards that serve only to "tweak" the
   // desired return type. However, *nested* generics introduce a special class of problems that we
   // think tip it over into being worthwhile.
-  public static <T extends @Nullable Object, S extends T> Comparator<Iterable<S>> lexicographical(
+  public static <T extends Object, S extends T> Comparator<Iterable<S>> lexicographical(
       Comparator<T> comparator) {
     return new LexicographicalOrdering<S>(checkNotNull(comparator));
   }
@@ -69,7 +64,7 @@ public final class Comparators {
    * equal to the element that preceded it, according to the specified comparator. Note that this is
    * always true when the iterable has fewer than two elements.
    */
-  public static <T extends @Nullable Object> boolean isInOrder(
+  public static <T extends Object> boolean isInOrder(
       Iterable<? extends T> iterable, Comparator<T> comparator) {
     checkNotNull(comparator);
     Iterator<? extends T> it = iterable.iterator();
@@ -91,7 +86,7 @@ public final class Comparators {
    * greater than the element that preceded it, according to the specified comparator. Note that
    * this is always true when the iterable has fewer than two elements.
    */
-  public static <T extends @Nullable Object> boolean isInStrictOrder(
+  public static <T extends Object> boolean isInStrictOrder(
       Iterable<? extends T> iterable, Comparator<T> comparator) {
     checkNotNull(comparator);
     Iterator<? extends T> it = iterable.iterator();
@@ -121,7 +116,6 @@ public final class Comparators {
    * @throws ClassCastException if the parameters are not <i>mutually comparable</i>.
    * @since 30.0
    */
-  @Beta
   public static <T extends Comparable<? super T>> T min(T a, T b) {
     return (a.compareTo(b) <= 0) ? a : b;
   }
@@ -141,9 +135,8 @@ public final class Comparators {
    *     comparator.
    * @since 30.0
    */
-  @Beta
   @ParametricNullness
-  public static <T extends @Nullable Object> T min(
+  public static <T extends Object> T min(
       @ParametricNullness T a, @ParametricNullness T b, Comparator<T> comparator) {
     return (comparator.compare(a, b) <= 0) ? a : b;
   }
@@ -161,7 +154,6 @@ public final class Comparators {
    * @throws ClassCastException if the parameters are not <i>mutually comparable</i>.
    * @since 30.0
    */
-  @Beta
   public static <T extends Comparable<? super T>> T max(T a, T b) {
     return (a.compareTo(b) >= 0) ? a : b;
   }
@@ -181,9 +173,8 @@ public final class Comparators {
    *     comparator.
    * @since 30.0
    */
-  @Beta
   @ParametricNullness
-  public static <T extends @Nullable Object> T max(
+  public static <T extends Object> T max(
       @ParametricNullness T a, @ParametricNullness T b, Comparator<T> comparator) {
     return (comparator.compare(a, b) >= 0) ? a : b;
   }
